<?php
/**
 * sample code for GiroCheckout integration of a credit card transaction
 *
 * @filesource
 * @package Samples
 * @version $Revision: 59 $ / $Date: 2014-08-26 09:53:27 +0200 (Di, 26 Aug 2014) $
 */
require_once '../../GiroCheckout_SDK/GiroCheckout_SDK.php';

/**
 * configuration of the merchants identifier, project and password
 * this information can be found in the GiroCockpit's project settings
 */
$merchantID = 0000000;
$projectID = 0000;
$projectPassword = 0000000000;


/* perform a credit card recurring transaction */
try {
	$request = new GiroCheckout_SDK_Request('creditCardRecurringTransaction');
	$request->setSecret($projectPassword);
	$request->addParam('merchantId',$merchantID)
	        ->addParam('projectId',$projectID)
	        ->addParam('merchantTxId',1234567890)
	        ->addParam('amount',100)
	        ->addParam('currency','EUR')
	        ->addParam('purpose','Kreditkartentransaktion')
	        ->addParam('pkn','')
	        ->addParam('recurring',1)
	    //the hash field is auto generated by the SDK
	        ->submit();
	
	
	/* if payment succeededed update your local system */
	if($request->paymentSuccessful())
	{
	    $request->getResponseParam('reference');
	    $request->getResponseParam('backendTxId');
	    $request->getResponseParam('resultPayment');
	}
	
	/* if the transaction did not succeed update your local system, get the responsecode and notify the customer */
	else {
	   $request->getResponseParam('rc');
	   $request->getResponseParam('msg');
	    $request->getResponseMessage($request->getResponseParam('rc'),'DE');
	    $request->getResponseMessage($request->getResponseParam('resultPayment'),'DE');
	}
}
catch (Exception $e) { }