<?php
/**
 * sample code for GiroCheckout integration of a giropay-ID check
 *
 * @filesource
 * @package Samples
 * @version $Revision: 59 $ / $Date: 2014-08-26 09:53:27 +0200 (Di, 26 Aug 2014) $
 */
require_once '../../GiroCheckout_SDK/GiroCheckout_SDK.php';

/**
 * configuration of the merchants identifier, project and password
 * this information can be found in the GiroCockpit's project settings
 */
$merchantID = 0000000;
$projectID = 0000;
$projectPassword = 0000000000;


/* giropay Bankstatus transaction and parameters */
try {
	$request = new GiroCheckout_SDK_Request("giropayBankstatus");
	$request->setSecret($projectPassword);
	$request->addParam('merchantId',$merchantID)
	        ->addParam('projectId',$projectID)
	        ->addParam('bic','TESTDETT421')
	    //the hash field is auto generated by the SDK
	        ->submit();
	
	
	/* if request was successful show customer weather paying with giropay is possible or not */
	if($request->requestHasSucceeded())
	{
	     $request->getResponseParam('rc');
	     $request->getResponseParam('msg');
	     $request->getResponseParam('bankcode');
	     $request->getResponseParam('bic');
	     $request->getResponseParam('bankname');
	     $request->getResponseParam('giropay');
	     $request->getResponseParam('giropayid');
	}
	
	/* if the transaction did not succeed update your local system, get the responsecode and notify the customer */
	else {
	    $request->getResponseParam('rc');
	    $request->getResponseParam('msg');
	    $request->getResponseMessage($request->getResponseParam('rc'),'DE');
	}
}
catch (Exception $e) { }